aboutsummaryrefslogtreecommitdiffstats
path: root/package/network/config/ltq-vdsl-app/files/10_ptm.sh
diff options
context:
space:
mode:
Diffstat (limited to 'package/network/config/ltq-vdsl-app/files/10_ptm.sh')
-rwxr-xr-xpackage/network/config/ltq-vdsl-app/files/10_ptm.sh14
1 files changed, 14 insertions, 0 deletions
diff --git a/package/network/config/ltq-vdsl-app/files/10_ptm.sh b/package/network/config/ltq-vdsl-app/files/10_ptm.sh
new file mode 100755
index 0000000000..1c62617bba
--- /dev/null
+++ b/package/network/config/ltq-vdsl-app/files/10_ptm.sh
@@ -0,0 +1,14 @@
+#!/bin/sh
+
+[ "$DSL_NOTIFICATION_TYPE" = "DSL_STATUS" ] && \
+[ "$DSL_TC_LAYER_STATUS" = "EFM" ] && \
+! grep -q "ltq_ptm_vr9" /proc/modules || exit 0
+
+logger -p daemon.notice -t "dsl-notify" "Switching to TC-Layer EFM/PTM"
+
+if grep -q "ltq_atm_vr9" /proc/modules ; then
+ logger -p daemon.notice -t "dsl-notify" "Loading EFM/PTM driver while ATM driver is loaded is not possible. Reboot is needed."
+ exit
+fi
+
+modprobe ltq_ptm_vr9